- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- QuantumOperatorImage
- QuantumOperatorRegionImage

# NAME

operator - Methods to apply mathematic or boolean operators to pixels.

# SYNOPSIS

MagickPassFail QuantumOperatorImage( Image *image, ChannelType channel, QuantumOperator operator, double rvalue );

MagickPassFail QuantumOperatorRegionImage( Image *image, long x, long y, unsigned long columns, unsigned long rows, ChannelType channel, QuantumOperator quantum_operator, double rvalue );

# FUNCTION DESCRIPTIONS

## QuantumOperatorImage

> QuantumOperatorImage() performs the requested integer arithmetic operation on the selected channels of the image.

The format of the QuantumOperatorImage method is:

> MagickPassFail QuantumOperatorImage ( Image *image, ChannelType channel, QuantumOperator operator, double rvalue );

A description of each parameter follows:

image:

  The image.

channel:

  Channel to operate on.

quantum_operator:

  arithmetic or bitwise operator to use (AddQuantumOp, AndQuantumOp, DivideQuantumOp, LShiftQuantumOp, MultiplyQuantumOp, OrQuantumOp, RShiftQuantumOp, SubtractQuantumOp, XorQuantumOp).

rvalue:

  Operator argument.

exception:

  Updated with error description.

## QuantumOperatorRegionImage

> QuantumOperatorRegionImage() performs the requested integer arithmetic operation on the selected channels of the image over the specified region.

The format of the QuantumOperatorRegionImage method is:

> MagickPassFail QuantumOperatorRegionImage ( Image *image, long x, long y, unsigned long columns, unsigned long rows, ChannelType channel, QuantumOperator quantum_operator, double rvalue );

A description of each parameter follows:

image:

  The image.

channel:

  Channel to operate on.

x:

  Ordinate of left row of region.

y:

  Orginate of top column of region.

columns:

  Width of region.

rows:

  Height of region.

quantum_operator:

  arithmetic or bitwise operator to use (AddQuantumOp, AndQuantumOp, DivideQuantumOp, LShiftQuantumOp, MultiplyQuantumOp, OrQuantumOp, RShiftQuantumOp, SubtractQuantumOp, XorQuantumOp).

rvalue:

  Operator argument.

exception:

  Updated with error description.